## libvirt 1.1.1

=== debian/changelog ===
libvirt (1.1.1-0ubuntu8) saucy; urgency=low

  * SECURITY UPDATE: denial of service via invalid free in
    virFileNBDDeviceAssociate.
    - debian/patches/CVE-2013-4297.patch: properly initialize qemunbd in
      src/util/virfile.c.
    - CVE-2013-4297

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 02 Oct 2013 13:35:14 -0400

libvirt (1.1.1-0ubuntu7) saucy; urgency=low

  * fix-crash-in-libvirtd-when-events: make sure to remove all event
    callbacks when a client disconnects from libvirtd.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Wed, 02 Oct 2013 08:14:53 -0500

libvirt (1.1.1-0ubuntu6) saucy; urgency=low

  * SECURITY UPDATE: possible privilege escalation via pkcheck race.
    - debian/patches/CVE-2013-4311.patch: add uid to pkcheck call in
      configure.ac, daemon/remote.c, src/access/viraccessdriverpolkit.c,
      src/rpc/virnetserverclient.c, src/util/viridentity.*.
    - debian/rules: use DEB_AUTO_UPDATE_AUTOCONF and
      DEB_AUTO_UPDATE_AUTOHEADER.
    - debian/control: specify version of policykit-1 security update, add
      libpolkit-gobject-1-dev to Build-Depends.
    - CVE-2013-4311
  * SECURITY UPDATE: denial of service in remoteDispatchDomainMemoryStats
    - debian/patches/CVE-2013-4296.patch: properly initialize stats in
      daemon/remote.c.
    - CVE-2013-4296

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 24 Sep 2013 19:25:55 -0400

libvirt (1.1.1-0ubuntu5) saucy; urgency=low

  * add-bounds-checking-on-virdomainmigrate: upstream patch for CVE-2013-4292
  * security-provide-supplemental-groups: upstream patch for CVE-2013-4291

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 09 Sep 2013 13:16:43 -0500

libvirt (1.1.1-0ubuntu4) saucy; urgency=low

  * apply all patches from v1.1.1-maint
  * cherrypick xen-use-internal-interfaces-in-xendomainusedcpus from upstream
    git.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 22 Aug 2013 10:57:20 -0500

libvirt (1.1.1-0ubuntu3) saucy; urgency=low

  * debian/apparmor/usr.sbin.libvirtd: Include the system bus abstraction in
    the libvirtd AppArmor profile as libvirtd connects to the D-Bus system bus

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 20 Aug 2013 09:07:17 -0700

libvirt (1.1.1-0ubuntu2) saucy; urgency=low

  * debian/patches/fix-remote-client-segfault.patch: Fix segfault when 
    using a remote client. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 19 Aug 2013 10:33:08 -0400

libvirt (1.1.1-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New usptream version:
    - Dropped: 
      + debian/patches/CVE-2013-2218-fix-crash-listing-network-interfaces-with-filters:
        no longer needed.
      + debian/patches/ubuntu-xen-hypervisor-4.3.patch: no longer needed.
      + debian/patches/ubuntu-xen-fix-api-deadlocks.patch: no longer needed.
    - Rediffed:
      + debian/patches/Don-t-enable-default-network-on-boot.patch
      + debian/patches/9005-increase-unix-socket-timeout.patch

   [ Stefan Bader ]
   * Add apparmor rights to call into /usr/lib/xen-common/bin/xen-toolstack
     to figure out which one is active.
   * debian/patches/ubuntu-xend-probe.patch: Fix failure to detect
     whether Xen uses xm/xend toolstack or xl/libxl. Avoid running
     "xend status" as we do not package that in a pbublic path.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 15 Aug 2013 17:23:21 +0000

libvirt (1.0.6-0ubuntu4) saucy; urgency=low

  * ubuntu-xen-fix-api-deadlocks.patch (LP: #1191782)
    Fix the deadlocks in the xen driver when doing a dumpxml for active
    domains.
  * ubuntu-libxl-qemu-nopath.patch
    Create libxl configurations without paths for qemu-dm and hvmloader.
    The Xen toolstack can figure this out.
  * ubuntu-xen-hypervisor-4.3.patch
    Update the xen driver to handle the new sysctl and domctl versions
    in Xen-4.3.
  * Add apparmor definitions to execute scripts in /etc/xen/scrips as
    the libxl driver calls out to them (with the xen/xm driver this was
    done by the xen toolstack and communication with that was through
    a socket).

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 16 Jul 2013 10:59:11 +0200

libvirt (1.0.6-0ubuntu3) saucy; urgency=low

  * debian/apparmor/usr.lib.libvirt.virt-aa-helper: allow owner read of
    @{PROC}/[0-9]*/status

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 15 Jul 2013 10:28:42 -0500

libvirt (1.0.6-0ubuntu2) saucy; urgency=low

  * Apply CVE-2013-2218-fix-crash-listing-network-interfaces-with-filters.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 28 Jun 2013 13:13:20 -0500

libvirt (1.0.6-0ubuntu1) saucy; urgency=low

  * New upstream relase.
    + Dropped patches:
      - debian/patches/vnc-socket.patch: Dropped no longer needed.
      - debian/patches/Add-sanitytest.py.patch: Dropped no longer needed.
   * debian/libvirt-bin.postinst: Make sure qemu.conf isn't world readable 
     by default.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 03 Jun 2013 11:27:02 -0500

libvirt (1.0.5-0ubuntu1) saucy; urgency=low

  * New upstream release: 
    + Dropped patches:
      - debian/patches/fix-virterror-namechange
      - debian/patches/apparmor-use-apparmor-setfdlabel
      - debian/patches/prevent-lxc-shutdown-host.patch
      - debian/patches/apparmor-no-need-to-check-security-model
      - debian/patches/nonblock-fix.patch
     + Refreshed patches:
      - debian/patches/9002-better_default_uri_virsh.patch
      - debian/patches/enable-kvm-spice.patch
      - debian/patches/patch-qemuMonitorTextGetMigrationStatus-to-intercept.patch
   * debian/patches/Add-sanitytest.py.patch: Add patch to fix missing sanitytest.py
     when building the testsuite.
   * debian/libvirt-dev.install: dont't ship files for static linking.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 May 2013 10:21:49 -0500

libvirt (1.0.2-0ubuntu12) saucy; urgency=low

  * debian/libvirt-bin.{dirs,install}: install dnsmasq.d-available/libvirt-bin
    (LP: #1113821)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 29 Apr 2013 07:38:07 -0500


