## libvirt 1.2.1

=== debian/changelog ===
libvirt (1.2.1-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Remaining changes:
    - [31a2113] Use libnl1 since libnetcf1 is linked against libnl1 in Wheezy.
      Also make sure we don't pickup up libnetcf-dev using libnl3.
    - [4ca4854] Make sure the cgroup update notice is also shown in backports
    - [c5a59dd] Drop version in polkit-1 dependency. This reintroduces
      CVE-2013-4311 since we don't have a recent enough polkit-1 in wheezy.
    - [4db6aaa] Disable xenlight support not available in wheezy

 -- Guido Günther <agx@sigxcpu.org>  Sat, 18 Jan 2014 17:42:03 +0100

libvirt (1.2.1-1) unstable; urgency=medium

  * Upload to unstable
  * [22e83d7] New upstream version 1.2.1.
    Fixes CVE-2014-0028, CVE-2014-1447, CVE-2013-6457
    (Closes: #735676)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Jan 2014 06:16:29 +0100

libvirt (1.2.1~rc2-1) experimental; urgency=medium

  * [e559e92] libvirt-bin.init: Fix typo in path when checking for systemd
  * [fef0f8f] New upstream version 1.2.1~rc2
  * [caf3c45] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Tue, 14 Jan 2014 11:21:55 +0100

libvirt (1.2.1~rc1-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * [f6b0feb] Pass --with-selinux-mount=/sys/fs/selinux to ./configure.
    The buildd are not running selinux and this make the auto-detection code
    defaults to /selinux which is actually not existing anymore in sid.
    This complete the fix for SELinux support.

  [ Guido Günther ]
  * Upload to experimental
  * [20d9129] Enable parallel build support.
    Thanks to Felix Geyer for pointing this out
  * [0d0590e] New upstream version 1.2.1~rc1. Fixes CVE-2013-6458
    (Closes: #734556)
  * [a3f978b] Bump symbol versions
  * [0a6a276] Rediff patches.
    Dropped (fixed upstream):
      security-fix-crash-in-lxcDomainGetMemoryParameters.patch
      security-fix-crash-in-lxcDomainSetMemoryParameters.patch
  * [3061b11] Build with apparmor support.
    Note that this isn't enough to run with apparmor support since the
    profiles will need more work but it makes testing this a lot simpler.
    This is heavily based on a patch by Felix Geyer.
    See: #725144

 -- Guido Günther <agx@sigxcpu.org>  Thu, 09 Jan 2014 08:23:57 +0100

libvirt (1.2.0-2) unstable; urgency=medium

  [ Guido Günther ]
  * [949fae6] Suggest systemd since it improves thinks like e.g. cgroup
    handling
  * [96f9aae] Make mounted cgroups configurable via /etc/default/libvirt-bin
    and check for memory cgroup on kernel command line. (Closes: #732666)
  * [ce356fe] Really remove "memory" from default mount list. Thanks to phep
    <phep-lists@teletopie.net>

  [ Laurent Bigonville ]
  * [13052e4] Enable selinux driver (Closes: #688179)
  * [a00df46] Switch LSB dependencies to avahi-daemon since only the later
    exists as native systemd service. (Closes: #731612)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Jan 2014 20:24:37 +0100

libvirt (1.2.0-1) unstable; urgency=medium

  * Upload to unstable
  * [230609e] Depend on kmod instead of module-init-tools (Closes: #731451)
  * [affb1ce] New upstream version 1.2.0
  * [e9de7b2] Fix crashes in lxcDomain{S,G}etMemoryParameters.
    This fixes CVE-2013-6436

 -- Guido Günther <agx@sigxcpu.org>  Wed, 18 Dec 2013 08:18:48 +0100

libvirt (1.2.0~rc2-1) experimental; urgency=low

  * [8bfdc7f] New upstream version 1.2.0~rc2
  * [56d17d0] Bump symbol versions
  * [288778f] Drop atomic-pthread-link-fix.  Fixed upstream.
  * [c8151f5] Rediff patches
  * [dd5ae42] Drop python-libvirt.  Python bindings were split out of
    libvirt's git into libvirt-python.
  * [bafc3d6] Install API files into dev package.  These are needed by the
    python bindings

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Dec 2013 21:31:31 +0100

libvirt (1.1.4-2~bpo70+1) wheezy-backports; urgency=low

  * [b46b754] Drop sheepdog support not available in Wheezy
  * [31a2113] Use libnl1 since libnetcf1 is linked against libnl1 in Wheezy.
    Also make sure we don't pickup up libnetcf-dev using libnl3.
  * [4ca4854] Make sure the cgroup update notice is also shown in backports
  * [c5a59dd] Drop version in polkit-1 dependency. This reintroduces
    CVE-2013-4311 since we don't have a recent enough polkit-1 in wheezy.
  * [4db6aaa] Disable xenlight support not available in wheezy

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Dec 2013 11:33:57 +0100

libvirt (1.1.4-2) unstable; urgency=low

  * [78cadf5] Rados storage backend needs --with-storage-rbd not
    --with-storage-rados
  * [a384975] Explicitly disable phyp support so we can enable libssh2 uri
    support.
  * [9d8f3c5] Check correct dirs for existence (Closes: #729331)
  * [1ede11d] Document new cgroup rrequirements (Closes: #707201)
  * Acknowledge NMU, Thanks Julien Cristau (Closes: #730345)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 01 Dec 2013 19:56:25 +0100

libvirt (1.1.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix linking when using pthread atomic ops, such as on armel.
  * Disable silent build rules.

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Nov 2013 12:27:18 +0100

libvirt (1.1.4-1) unstable; urgency=low

  * Upload to unstable
  * [54c6758] New upstream version 1.1.4

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Nov 2013 07:05:45 +0100

libvirt (1.1.4~rc2-1) experimental; urgency=low

  * [b56f727] Add option to mount cgroups during daemon start.  The init
    script can mount each control group to a different mount point during
    prior to starting libvirt bin. This allows running qemu and lxc guests
    together without using systemd.
    Thanks to Manuel VIVES (Closes: #725261)
  * [e044f56] New upstream version 1.1.4~rc2 (Closes: #727101)
  * [d046906] Update symbols file
  * [6a8cd2d] Update patches
  * [ac24680] Lower policykit-1 build-dep since CVE-2013-4288 was fixed in
    unstable by patching policykit instead of moving the new upstream version
    from unstable.


