=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
-Build-Depends: cdbs (>= 0.4.90~),
+Build-Depends:
  debhelper (>= 7),
+ dh-systemd (>= 1.3),
  libxml2-dev,
  libncurses5-dev,
  libreadline-dev,
  zlib1g-dev,
+ libgcrypt11-dev,
  libgnutls-dev,
- libgcrypt11-dev,
- python-all-dev (>= 2.6.6-3~),
  libavahi-client-dev,
  libsasl2-dev,
  libxen-dev [i386 amd64],
  lvm2 [linux-any],
- open-iscsi-utils,
- libgcrypt11-dev,
+ open-iscsi [linux-any],
  libparted0-dev (>= 2.2),
  parted (>= 2.2),
  libdevmapper-dev [linux-any],
@@ -26,54 +24,55 @@
  libudev-dev [linux-any],
  libhal-dev [!linux-any],
  libpciaccess-dev,
- module-init-tools [linux-any],
- policykit-1 (>= 0.105-3ubuntu3),
- libpolkit-gobject-1-dev (>= 0.105-3ubuntu3),
+ kmod [linux-any],
+ policykit-1,
  libcap-ng-dev [linux-any],
- libnl-3-dev,
- libnl-route-3-dev,
+ libnl-dev [linux-any],
  libyajl-dev,
  libpcap0.8-dev,
  libnuma-dev [amd64 i386 ia64 mips mipsel powerpc],
  radvd [linux-any],
- libnetcf-dev [linux-any],
+ libnetcf-dev (<< 1:0.2.0-5~) [linux-any],
+ libsanlock-dev [linux-any],
  libaudit-dev [linux-any],
+ libselinux1-dev (>= 2.0.82) [linux-any],
+ libapparmor-dev [linux-any],
+ systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
+# for lxc fuse support
+ libfuse-dev [linux-any],
+# for libssh2 connection URIs
+ libssh2-1-dev,
 # For "make check"
+ augeas-tools,
  dwarves,
  libxml2-utils,
- libapparmor-dev,
  dnsmasq-base,
  openssh-client,
  netcat-openbsd,
- librbd-dev
 Build-Conflicts: dpkg-dev (= 1.15.3)
+Vcs-Git: git://git.debian.org/git/pkg-libvirt/libvirt.git
+Vcs-Browser: http://git.debian.org/?p=pkg-libvirt/libvirt.git
 Homepage: http://libvirt.org
 Standards-Version: 3.9.4
-X-Python-Version: >= 2.7
 
 Package: libvirt-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- adduser,
- bridge-utils,
- cgroup-lite | cgroup-bin,
- dnsmasq-base (>= 2.46-1),
- dbus,
- gettext-base,
- iptables (>= 1.4.10),
- libvirt0 (= ${binary:Version}),
- logrotate,
- netcat-openbsd
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libvirt0 (= ${binary:Version}), logrotate, gettext-base
 Enhances: qemu, qemu-kvm, xen
 Section: admin
-Recommends:
+Recommends: netcat-openbsd,
+ bridge-utils,
+ dnsmasq-base (>= 2.46-1),
+ iptables (>= 1.4.10),
+ qemu-kvm | qemu (>= 0.9.1),
  libxml2-utils,
- gawk,
  ebtables,
  dmidecode,
  iproute,
- parted
-Suggests: policykit-1 (>= 0.105-3ubuntu3), apparmor, pm-utils, qemu-kvm | qemu (>= 0.9.1), radvd
+ parted,
+ pm-utils
+Suggests: policykit-1, radvd, auditd, systemtap, systemd, apparmor
+Breaks: avahi-daemon (<< 0.6.31-3~)
 Description: programs for the libvirt library
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -85,7 +84,8 @@
 Package: libvirt0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: lvm2 [linux-any]
+Recommends: lvm2 [linux-any]
+Breaks: selinux-policy-default (<< 2:2.20131214-1~), selinux-policy-mls (<< 2:2.20131214-1~)
 Description: library for interfacing with different virtualization systems
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -122,6 +122,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends}, libvirt0 (= ${binary:Version}), libxen-dev [i386 amd64]
+Replaces: libvirt-bin (<< 1.2.0~)
 Recommends: pkg-config
 Description: development files for the libvirt library
  Libvirt is a C toolkit to interact with the virtualization capabilities
@@ -132,17 +133,15 @@
  This package contains the header files and static libraries which are
  needed for developing the applications with libvirt.
 
-Package: python-libvirt
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libvirt0 (>= ${binary:Version})
-Provides: ${python:Provides}
-Recommends: libvirt-bin
-Section: python
-Description: libvirt Python bindings
+Package: libvirt-sanlock
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libvirt0 (= ${binary:Version}), augeas-tools
+Priority: extra
+Description: library for interfacing with different virtualization systems
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
  a long term stable C API for different virtualization mechanisms. It currently
  supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
  .
- This package contains Python bindings for the libvirt library
+ This package contains the sanlock plugin.
