## libvirt 1.2.2

=== debian/changelog ===
libvirt (1.2.2-0ubuntu13) trusty; urgency=medium

  * Add a dependency on the new apparmor to make sure we have the new
    parser around before we attempt to load a profile requiring the new
    stanza support. (LP: #1304167)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Mon, 14 Apr 2014 11:03:37 -0500

libvirt (1.2.2-0ubuntu12) trusty; urgency=low

  * d/p/libxl-support-sexpr-in-native-to-XML-conversion.patch:
    Allow to use libvirt to convert xend guest configurations into
    xml format.
  * Add libvirt-migrate-xend-managed-domains migration script.
    (LP: #1303886)
  * Added breaks for xen-utils-4.(1|3) to ensure postinst order.

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 08 Apr 2014 19:55:29 +0200

libvirt (1.2.2-0ubuntu11) trusty; urgency=medium

  * debian/patches/recognize-trusty-machine-type.patch: Revert patch
    since it was causing issues with virtio deivces. (LP: #1304107) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Apr 2014 12:51:55 -0400

libvirt (1.2.2-0ubuntu10) trusty; urgency=medium

  * d/p/recognize-trusty-machine-type.patch: handle "trusty" qemu machine type
    (LP: #1294823)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 04 Apr 2014 09:29:22 -0500

libvirt (1.2.2-0ubuntu9) trusty; urgency=medium

  [ Jamie Strandboge ]
  * updates for AppArmor signals and ptrace mediation (LP: #1298611)
    - debian/apparmor/libvirt-qemu: allow guests to receive signals from and
      be tracedby libvirtd (additional signal and ptrace rules come from the
      AppArmor base abstraction)
    - debian/apparmor/usr.sbin.libvirtd:
      + grant bare signal and ptrace rule
      + grant dbus on the system bus (should have been added in 13.10)

 -- Tyler Hicks <tyhicks@canonical.com>  Thu, 03 Apr 2014 02:09:53 -0500

libvirt (1.2.2-0ubuntu8) trusty; urgency=medium

  * debian/apparmor/libvirt-qemu: Allow qemu-system-aarch64 to be used.
    (LP: #1301516)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 Apr 2014 14:20:39 -0400

libvirt (1.2.2-0ubuntu7) trusty; urgency=low

  * d/p/libxl-Create-log-directory-earlier.patch:
    Move creation of log directory inside function that tries to create
    a log file inside of it. Fixes startup when the libxl log directory
    has not been created, yet.
  * d/p/libxl-do-not-use-virdomain-id.patch:
    Replace usage of dom->id with vm->def-id inside the driver (as that
    is not getting stale). Fixes guest creation and reboot through
    virt-manager (apart from possibly other things).
  * d/p/libxl-set-disk-format-for-cdrom.patch:
    Set disk format, otherwise an empty virtual CDROM makes the guest
    unstartable.
  * d/p/libxl-set-vfb0-data-in-build-config.patch:
    Actually set video and display data in the domain build info. Beside
    of preventing disagreement about VNC ports, this allows to select
    standard VGA graphics and more VRAM trhough libvirt.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 27 Mar 2014 16:46:31 +0100

libvirt (1.2.2-0ubuntu6) trusty; urgency=medium

  * debian/libvirt-bin.dirs: Add /var/log/libvirt/libxl. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 24 Mar 2014 14:32:54 -0400

libvirt (1.2.2-0ubuntu5) trusty; urgency=low

  * Refreshed d/p/libxl-Check-for-control_d-string-to-decide-about-dom.patch
    to avoid logging an error when file is not present.

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 21 Mar 2014 09:49:36 +0100

libvirt (1.2.2-0ubuntu4) trusty; urgency=medium

  * debian/patches/arm-cpu-baseline.patch: Implement a stub cpuArchDriver.baseline() 
    handler for arm.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 17 Mar 2014 10:59:49 -0400

libvirt (1.2.2-0ubuntu3) trusty; urgency=low

  * d/p/libxl-Check-for-control_d-string-to-decide-about-dom.patch: Prevent
    using the libxl driver when not running in dom0 but having xenfs mounted.
    (LP: #1248025)

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 12 Mar 2014 14:16:14 +0100

libvirt (1.2.2-0ubuntu2) trusty; urgency=medium

  * d/p/add-a-mutex-to-serialize-updates-to-fw.patch: fix another deadlock
    when starting a large number of VMs.  (LP: #1228977)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 11 Mar 2014 14:08:02 -0500

libvirt (1.2.2-0ubuntu1) trusty; urgency=medium

  * New upstream release:
    - Rediffed patches:
      - debian/patches/Allow-libvirt-group-to-access-the-socket.patch
      - debian/patches/9004-libvirtd-group-name.patch
      - debian/patches/dnsmasq-as-priv-user
    - Dropped patches:
      - debian/patches/9005-increase-unix-socket-timeout.patch: No longer
        needed.
      - debian/patches/rbd-storage-format.patch: No longer needed.
      - debian/patches/9022-qemu-enable-host-passthrough-mode-for-aarch64:
        No longer needed.
      - debian/patches/9023-xen-fix-parsing-xend-http-response.patch:
        No longer needed.
      - debian/patches/

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 03 Mar 2014 13:30:36 -0500

libvirt (1.2.1-0ubuntu10) trusty; urgency=medium

  * Pull patch from mailing list (merged with separate patch posted to the
    bug) to fix 9p mounts. (LP: #1285995)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 28 Feb 2014 09:34:54 -0600

libvirt (1.2.1-0ubuntu9) trusty; urgency=medium

  * Cherrypick 9024-qemu-implement-a-stub-baseline-handler-for-aarch64 from
    upstream git.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 14 Feb 2014 18:20:03 -0600

libvirt (1.2.1-0ubuntu8) trusty; urgency=medium

  * Add uvtool image path to virt-aa-helper AppArmor profile.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 14 Feb 2014 17:54:58 +0000

libvirt (1.2.1-0ubuntu7) trusty; urgency=low

  * debian/patches/nwfilter-locking.patch: Dropped causes ftbfs. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 13 Feb 2014 10:07:56 -0700

libvirt (1.2.1-0ubuntu6) trusty; urgency=medium

  * debian/control: Move pm-utils from suggests to Recommends.
    (LP: #1274772) 
  * debian/patches/patches/nwfilter-locking.patch: Fix nwfilter locking

