=== debian/watch ===
version=3

opts="uversionmangle=s/\.-rc/~rc/;s/\.+$//" \
    http://libvirt.org/sources/libvirt-([\d\.]+)(-rc\d)?\.tar\.gz
